-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local I2cMuxInterface = require 'mdb.bmc.kepler.Mux.I2cMuxInterface'

local childs = {}
local I2cMux = {childs = childs}

local Mdb = require 'mc.mdb'

local TI2cMux = Mdb.register_object('/bmc/kepler/Mux/I2cMux/:Id',
    {{name = 'I2cMux', interface = I2cMuxInterface.I2cMux}})
I2cMux.I2cMux = TI2cMux

function TI2cMux:ctor(Id)
    self.path = '/bmc/kepler/Mux/I2cMux/' .. Id .. ''
end

return I2cMux
